<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.drawing.Drawing</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.drawing-module.html">Module&nbsp;drawing</a> ::
        Class&nbsp;Drawing
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.drawing.Drawing-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class Drawing</h1><span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing">source&nbsp;code</a></span><br /><br />
<dl><dt>Known Subclasses:</dt>
<dd>
    <a href="screenlets.Screenlet-class.html">Screenlet</a>
</dd></dl>

<hr />
Contains static drawing functions.<br /><br />

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_text_width"></a><span class="summary-sig-name">get_text_width</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">text</span>,
        <span class="summary-sig-arg">font</span>)</span><br />
      Returns the pixel width of a given text</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.get_text_width">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_text_line_count"></a><span class="summary-sig-name">get_text_line_count</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">text</span>,
        <span class="summary-sig-arg">font</span>)</span><br />
      Returns the line count of a given text</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.get_text_line_count">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_text_line"></a><span class="summary-sig-name">get_text_line</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">text</span>,
        <span class="summary-sig-arg">font</span>,
        <span class="summary-sig-arg">line</span>)</span><br />
      Returns a line of a given text</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.get_text_line">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="check_for_icon"></a><span class="summary-sig-name">check_for_icon</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">icon</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.check_for_icon">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_text"></a><span class="summary-sig-name">draw_text</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">text</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">font</span>,
        <span class="summary-sig-arg">size</span>,
        <span class="summary-sig-arg">width</span>,
        <span class="summary-sig-arg">allignment</span>=<span class="summary-sig-default">&lt;enum PANGO_ALIGN_LEFT of type PangoAlignment&gt;</span>,
        <span class="summary-sig-arg">alignment</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">justify</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">weight</span>=<span class="summary-sig-default">0</span>,
        <span class="summary-sig-arg">ellipsize</span>=<span class="summary-sig-default">&lt;enum PANGO_ELLIPSIZE_NONE of type PangoEllipsizeMode&gt;</span>)</span><br />
      Draws text</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_text">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_circle"></a><span class="summary-sig-name">draw_circle</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">width</span>,
        <span class="summary-sig-arg">height</span>,
        <span class="summary-sig-arg">fill</span>=<span class="summary-sig-default">True</span>)</span><br />
      Draws a circule</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_circle">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_triangle"></a><span class="summary-sig-name">draw_triangle</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">width</span>,
        <span class="summary-sig-arg">height</span>,
        <span class="summary-sig-arg">fill</span>=<span class="summary-sig-default">True</span>)</span><br />
      Draws a circule</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_triangle">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_line"></a><span class="summary-sig-name">draw_line</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">start_x</span>,
        <span class="summary-sig-arg">start_y</span>,
        <span class="summary-sig-arg">end_x</span>,
        <span class="summary-sig-arg">end_y</span>,
        <span class="summary-sig-arg">line_width</span>=<span class="summary-sig-default">1</span>,
        <span class="summary-sig-arg">close</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">preserve</span>=<span class="summary-sig-default">False</span>)</span><br />
      Draws a line</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_line">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_rectangle"></a><span class="summary-sig-name">draw_rectangle</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">width</span>,
        <span class="summary-sig-arg">height</span>,
        <span class="summary-sig-arg">fill</span>=<span class="summary-sig-default">True</span>)</span><br />
      Draws a rectangle</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_rectangle">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_rectangle_advanced"></a><span class="summary-sig-name">draw_rectangle_advanced</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">width</span>,
        <span class="summary-sig-arg">height</span>,
        <span class="summary-sig-arg">rounded_angles</span>=<span class="summary-sig-default"><code class="variable-group">(</code>0<code class="variable-op">, </code>0<code class="variable-op">, </code>0<code class="variable-op">, </code>0<code class="variable-group">)</code></span>,
        <span class="summary-sig-arg">fill</span>=<span class="summary-sig-default">True</span>,
        <span class="summary-sig-arg">border_size</span>=<span class="summary-sig-default">0</span>,
        <span class="summary-sig-arg">border_color</span>=<span class="summary-sig-default"><code class="variable-group">(</code>0<code class="variable-op">, </code>0<code class="variable-op">, </code>0<code class="variable-op">, </code>1<code class="variable-group">)</code></span>,
        <span class="summary-sig-arg">shadow_size</span>=<span class="summary-sig-default">0</span>,
        <span class="summary-sig-arg">shadow_color</span>=<span class="summary-sig-default"><code class="variable-group">(</code>0<code class="variable-op">, </code>0<code class="variable-op">, </code>0<code class="variable-op">, </code>0.5<code class="variable-group">)</code></span>)</span><br />
      with this funktion you can create a rectangle in advanced mode</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_rectangle_advanced">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_rounded_rectangle"></a><span class="summary-sig-name">draw_rounded_rectangle</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">rounded_angle</span>,
        <span class="summary-sig-arg">width</span>,
        <span class="summary-sig-arg">height</span>,
        <span class="summary-sig-arg">round_top_left</span>=<span class="summary-sig-default">True</span>,
        <span class="summary-sig-arg">round_top_right</span>=<span class="summary-sig-default">True</span>,
        <span class="summary-sig-arg">round_bottom_left</span>=<span class="summary-sig-default">True</span>,
        <span class="summary-sig-arg">round_bottom_right</span>=<span class="summary-sig-default">True</span>,
        <span class="summary-sig-arg">fill</span>=<span class="summary-sig-default">True</span>)</span><br />
      Draws a rounded rectangle</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_rounded_rectangle">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_quadrant_shadow"></a><span class="summary-sig-name">draw_quadrant_shadow</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">from_r</span>,
        <span class="summary-sig-arg">to_r</span>,
        <span class="summary-sig-arg">quad</span>,
        <span class="summary-sig-arg">col</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_quadrant_shadow">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_side_shadow"></a><span class="summary-sig-name">draw_side_shadow</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">w</span>,
        <span class="summary-sig-arg">h</span>,
        <span class="summary-sig-arg">side</span>,
        <span class="summary-sig-arg">col</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_side_shadow">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_shadow"></a><span class="summary-sig-name">draw_shadow</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">w</span>,
        <span class="summary-sig-arg">h</span>,
        <span class="summary-sig-arg">shadow_size</span>,
        <span class="summary-sig-arg">col</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_shadow">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_image_size"></a><span class="summary-sig-name">get_image_size</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">pix</span>)</span><br />
      Gets a picture width and height</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.get_image_size">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_image"></a><span class="summary-sig-name">draw_image</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">pix</span>)</span><br />
      Draws a picture from specified path</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_image">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_icon"></a><span class="summary-sig-name">draw_icon</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">pix</span>,
        <span class="summary-sig-arg">width</span>=<span class="summary-sig-default">32</span>,
        <span class="summary-sig-arg">height</span>=<span class="summary-sig-default">32</span>)</span><br />
      Draws a gtk icon</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_icon">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_scaled_image"></a><span class="summary-sig-name">draw_scaled_image</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>,
        <span class="summary-sig-arg">x</span>,
        <span class="summary-sig-arg">y</span>,
        <span class="summary-sig-arg">pix</span>,
        <span class="summary-sig-arg">w</span>,
        <span class="summary-sig-arg">h</span>)</span><br />
      Draws a picture from specified path with a certain width and 
      height</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.drawing-pysrc.html#Drawing.draw_scaled_image">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="p_context"></a><span class="summary-name">p_context</span> = <code title="None">None</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="p_layout"></a><span class="summary-name">p_layout</span> = <code title="None">None</code>
    </td>
  </tr>
</table>
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:52:57 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
